/*
 * graphic_element.hpp
 *
 * This is used internally by DrawUI. It is also used by EntityMap::draw.
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef GRAPHIC_ELEMENT_HPP
#define GRAPHIC_ELEMENT_HPP

#include "coercri/gfx/graphic.hpp"

class ColourChange;

struct GraphicElement {
    int sx, sy;
    const Coercri::Graphic *gr;
    const ColourChange *cc;
};

#endif
