/*
 * cfg.hpp
 *
 * Functions to get values for Config Variables. (The implementation of these
 * could be changed fairly easily.)
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef CFG_HPP
#define CFG_HPP

#include <string>

void CfgInit();

bool CfgBool(const char *name);
int CfgInt(const char *name);
float CfgFloat(const char *name);
std::string CfgString(const char *name);

#endif
