/*
 * FILE:
 *   sdl_ttf_loader.hpp
 *
 * PURPOSE:
 *   Implementation of TTFLoader for SDL
 *
 * AUTHOR:
 *   Stephen Thompson, 2008
 *
 * COPYRIGHT:
 *   Public Domain
 *
 */

#ifndef COERCRI_SDL_TTF_LOADER_HPP
#define COERCRI_SDL_TTF_LOADER_HPP

#include "../../gfx/ttf_loader.hpp"

namespace Coercri {

    class SDLTTFLoader : public TTFLoader {
    public:
        virtual boost::shared_ptr<Font> loadFont(boost::shared_ptr<std::istream> str, int size);
    };

}

#endif
