/*
 * options_screen.hpp
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef OPTIONS_SCREEN_HPP
#define OPTIONS_SCREEN_HPP

#include "screen.hpp"

class OptionsScreenImpl;

class OptionsScreen : public Screen {
public:
    virtual ~OptionsScreen();
    virtual bool start(KnightsGame &knights_game, shared_ptr<Coercri::Window> window, gcn::Gui &gui);

private:
    shared_ptr<OptionsScreenImpl> pimpl;
};

#endif
